export declare enum ArTabType {
    CLASSIC = "classic",
    MODERN = "modern",
    MINIMAL = "minimal"
}
export declare enum ArAriaRoles {
    TAB = "tab"
}
export declare enum ArAlertType {
    SUCCESS = "success",
    WARNING = "warning",
    ERROR = "error",
    INFORMATION = "information"
}
export declare enum ArSizes {
    XSMALL = "xsmall",
    SMALL = "small",
    REGULAR = "regular",
    LARGE = "large",
    XLARGE = "xlarge"
}
export declare enum ArLoaderTypes {
    BAR = "bar",
    SHAPES = "shapes",
    CIRCLE = "circle",
    CUSTOM = "custom"
}
export declare enum ArButtonVariants {
    SUCCESS = "success",
    DANGER = "danger",
    PRIMARY = "primary",
    SECONDARY = "secondary",
    TERTIARY = "tertiary",
    WARNING = "warning",
    INFO = "info",
    DARK = "dark",
    LIGHT = "light",
    LINK = "link",
    LINKNATIVE = "link-native",
    LINKHOVEREFFECT = "link-hover"
}
export declare enum ArButtonTypes {
    SUBMIT = "submit",
    BUTTON = "button",
    RESET = "reset"
}
export declare enum ArPlacement {
    RIGHT = "right",
    LEFT = "left",
    TOP = "top",
    BOTTOM = "bottom"
}
export declare enum ArPopoverSlots {
    POPOVER = "popover",
    ANCHOR = "anchor"
}
export declare enum ArAnimations {
    FADEINOUT = "fade",
    EXPANDSHRINK = "expand-shrink"
}
export declare enum ArPopoverPositions {
    TOPLEFT = "top-left",
    TOPRIGHT = "top-right",
    TOPCENTER = "top-center",
    RIGHTTOP = "right-top",
    RIGHTBOTTOM = "right-bottom",
    RIGHTCENTER = "right-center",
    BOTTOMLEFT = "bottom-left",
    BOTTOMRIGHT = "bottom-right",
    BOTTOMCENTER = "bottom-center",
    LEFTTOP = "left-top",
    LEFTBOTTOM = "left-bottom",
    LEFTCENTER = "left-center",
    BOTTOM = "bottom",
    RIGHT = "right",
    LEFT = "left",
    TOP = "top",
    AUTO = "auto"
}
export declare enum ArPopoverTriggers {
    HOVER = "hover",
    CLICK = "click"
}
export declare enum ArListStyles {
    ORDERED = "ordered",
    UNORDERED = "unordered",
    UNSTYLED = "unstyled"
}
export declare enum ArListVariants {
    FLAT = "flat",
    LINK = "link"
}
export declare enum ArVisualizationTypes {
    BUBBLE = "bubble"
}
export declare enum ArIconTileTypes {
    COMFY = "comfy",
    COMPACT = "compact",
    LIST = "list"
}
export declare enum ArTableLayouts {
    COMFORTABLE = "comfortable",
    COMPACT = "compact",
    NORMAL = "normal"
}
export declare enum ArBadgeType {
    INPROGRESS = "inprogress",
    COMPLETE = "complete",
    DEFERRED = "deferred",
    ATRISK = "atrisk"
}
export declare enum JobStatus {
    RUNNING = "running",
    STOPPED = "stopped",
    SUSPENDED = "suspended",
    ARCHIVED = "archived"
}
export declare enum ArPageTriggers {
    SELECTOR = "selector",
    SCROLL = "scroll"
}
export declare enum ArPillSizes {
    LARGE = "large",
    MEDIUM = "medium",
    SMALL = "small"
}
export declare enum RecusionConditionTypes {
    KEY_EXISTS = "keyExists",
    KEY_VALUE = "keyValue"
}
export declare enum ArAccordionVariants {
    LIMITED = "limited",
    FREE = "free"
}
export declare enum ArAccordionStyles {
    STACKED = "stacked",
    COMFORTABLE = "comfortable"
}
export declare enum ArAnimationInjectionTypes {
    ADD = "add",
    REPLACE = "replace"
}
export declare enum ArAnimationProperty {
    POSITION = "p",
    OPACITY = "o",
    ANCHOR = "a",
    ROTATE = "r",
    SCALE = "s"
}
export declare enum ArThemes {
    LIGHT1 = "th-light-1",
    DARK1 = "th-dark-1"
}
export declare enum ArDateFormats {
    DDMMYYYY = "DDMMYYYY",
    DDMMYY = "DDMMYY",
    MMDDYYYY = "MMDDYYYY",
    MMDDYY = "MMDDYY",
    YYMMDD = "YYMMDD",
    YYYYMMDD = "YYYYMMDD",
    DDMMMYY = "DDMMMYY",
    DDMMMYYYY = "DDMMMYYYY",
    MMMDDYY = "MMMDDYY",
    MMMDDYYYY = "MMMDDYYYY",
    YYYYMMMDD = "YYYYMMMDD",
    YYMMMDD = "YYMMMDD"
}
export declare enum ArDateMasks {
    DEFAULT = "ddd mmm dd yyyy HH:MM:ss",
    SHORTDATE = "m/d/yy",
    PADDEDSHORTDATE = "mm/dd/yyyy",
    MEDIUMDATE = "mmm d, yyyy",
    LONGDATE = "mmmm d, yyyy",
    FULLDATE = "dddd, mmmm d, yyyy",
    SHORTTIME = "h:MM TT",
    MEDIUMTIME = "h:MM:ss TT",
    LONGTIME = "h:MM:ss TT Z",
    ISODATE = "yyyy-mm-dd",
    ISOTIME = "HH:MM:ss",
    ISODATETIME = "yyyy-mm-dd'T'HH:MM:sso",
    ISOUTCDATETIME = "UTC:yyyy-mm-dd'T'HH:MM:ss'Z'",
    EXPIRESHEADERFORMAT = "ddd, dd mmm yyyy HH:MM:ss Z"
}
export declare enum ArCalViews {
    CALENDAR = "calendar",
    MONTH_YEAR_SELECTOR = "month-year-selector",
    EVENT_FORM = "event-form"
}
export declare enum ArMonthSelectorViews {
    DECADE = "decade",
    YEAR = "year",
    MONTH = "month"
}
export declare enum ArEventStates {
    DRAFT = "draft",
    SCHEDULED = "scheduled",
    EXPIRED = "expired",
    CANCELLED = "cancelled",
    DEFERRED = "deferred"
}
export declare enum ArEventTypes {
    TASK = "task",
    EVENT = "event",
    BIRTHDAY = "birthday",
    MEETING = "meeting"
}
export declare enum ArSchedules {
    TODAY = "today",
    TOMORROW = "tomorrow",
    NEXTWEEK = "next-week",
    NEXTMONTH = "next-month",
    CUSTOM = "custom"
}
export declare enum ArLabelValueVariants {
    FLAT = "flat",
    STACKED = "stacked",
    FLATBOXED = "flat-boxed",
    STACKBOXED = "stack-boxed"
}
export declare enum ArDropdownVariants {
    SELECTIONSASLINKS = "selections-as-links",
    SELECTIONSASPILLS = "selections-as-pills"
}
export declare enum ArWizardNavigationTypes {
    STANDARD = "standard",
    OVERLAY = "overlay",
    OVERLAYPROMINENT = "overlay-prominent",
    EXTERNAL = "external"
}
export declare enum ArWebPageLayout {
    TWOCOL = "Two Column",
    THREECOL = "Three Column",
    GRID = "Grid",
    CARD = "Card",
    HEROLINEARCONTENTBLOCKS = "Hero with linear content blocks",
    HEROSTAGGEREDARCONTENTBLOCKS = "Hero with staggered content blocks",
    HEROSTAGGEREDREVERSEDARCONTENTBLOCKS = "Hero with staggered content blocks reverse layout",
    STACKED = "Stacked",
    TABBED = "Tabbed",
    FULL = "Full screen background with content overlay",
    SPLIT = "Split screen",
    CAROUSEL = "Carousel",
    CUSTOM = "Custom"
}
export declare enum ArLayoutSlots {
    HEADER = "header",
    FOOTER = "footer",
    DRAWER = "drawer",
    SIDEPANEL = "sidepanel"
}
export declare enum ArHeaderSlots {
    LOGO = "logo",
    SEARCH = "search",
    NAVBAR = "navbar",
    USER = "user",
    NOTIFICATIONS = "notifications",
    ACTIONS = "actions",
    SETTINGS = "settings"
}
export declare enum ArComponentLevels {
    PAGE = "page",
    MAIN = "main"
}
export declare enum ArPortalManagementType {
    SELF = "self",
    CONTEXT = "context"
}
export declare enum ArDefaultLoginPage {
    LOGIN = "login",
    SINGUP = "signup"
}
export declare enum ArLoginProviders {
    ARMCO = "ArmcoIamProvider",
    IAM = "StuffleIamProvider"
}
export declare enum ArDndItemTypes {
    TREELISTITEM = "tree-list-item",
    COMPONENTSLOT = "component-slot",
    GENERIC = "generic",
    ICON = "icon"
}
export declare enum ArSlotViewMode {
    PREVIEW = "preview",
    BUILD = "build",
    RELEASE = "release",
    ROWCONTROLLER = "row-controller",
    COLCONTROLLER = "col-controller"
}
export declare enum ArDisplayTypes {
    BLOCK = "block",
    INLINE = "inline",
    INLINEBLOCK = "inline-block",
    GRID = "grid",
    FLEX = "flex",
    INLINEFLEX = "inline-flex"
}
export declare enum ArDirections {
    NORTH = "n",
    NORTHEAST = "ne",
    EAST = "e",
    SOUTHEAST = "se",
    SOUTH = "s",
    SOUTHWEST = "sw",
    WEST = "w",
    NORTHWEST = "nw"
}
export declare enum ArComponentResources {
    STUFFLE = "stuffle",
    MATERIAL = "material",
    BOOTSTRAP = "bootstrap",
    BIT = "bit"
}
