import { ArDateMasks as n } from "../types/enums.js";
const p = /d{1,4}|D{3,4}|m{1,4}|yy(?:yy)?|([HhMsTt])\1?|W{1,2}|[LlopSZN]|"[^"]*"|'[^']*'/g, w = /\b(?:[A-Z]{1,3}[A-Z][TC])(?:[-+]\d{4})?|((?:Australian )?(?:Pacific|Mountain|Central|Eastern|Atlantic) (?:Standard|Daylight|Prevailing) Time)\b/g, F = /[^-+\dA-Z]/g;
function b(e, t, s, i) {
  if (arguments.length === 1 && typeof e == "string" && !/\d/.test(e) && (t = e, e = void 0), e = e || e === 0 ? e : /* @__PURE__ */ new Date(), isNaN(e))
    throw TypeError("Invalid date");
  e instanceof Date || (e = new Date(e)), t = String(
    N[t] || t || N.DEFAULT
  );
  const l = t.slice(0, 4);
  (l === "UTC:" || l === "GMT:") && (t = t.slice(4), s = !0, l === "GMT:" && (i = !0));
  const o = () => s ? "getUTC" : "get", D = () => e[o() + "Date"](), m = () => e[o() + "Day"](), c = () => e[o() + "Month"](), y = () => e[o() + "FullYear"](), T = () => e[o() + "Hours"](), u = () => e[o() + "Minutes"](), A = () => e[o() + "Seconds"](), d = () => e[o() + "Milliseconds"](), E = () => s ? 0 : e.getTimezoneOffset(), f = () => e instanceof Date && H(e), S = () => e instanceof Date && U(e), g = {
    d: () => D(),
    dd: () => r(D()),
    ddd: () => a.dayNames[m()],
    DDD: () => h({
      y: y(),
      m: c(),
      d: D(),
      _: o(),
      dayName: a.dayNames[m()],
      short: !0
    }),
    dddd: () => a.dayNames[m() + 7],
    DDDD: () => h({
      y: y(),
      m: c(),
      d: D(),
      _: o(),
      dayName: a.dayNames[m() + 7]
    }),
    m: () => c() + 1,
    mm: () => r(c() + 1),
    mmm: () => a.monthNames[c()],
    mmmm: () => a.monthNames[c() + 12],
    yy: () => String(y()).slice(2),
    yyyy: () => r(y(), 4),
    h: () => T() % 12 || 12,
    hh: () => r(T() % 12 || 12),
    H: () => T(),
    HH: () => r(T()),
    M: () => u(),
    MM: () => r(u()),
    s: () => A(),
    ss: () => r(A()),
    l: () => r(d(), 3),
    L: () => r(Math.floor(d() / 10)),
    t: () => T() < 12 ? a.timeNames[0] : a.timeNames[1],
    tt: () => T() < 12 ? a.timeNames[2] : a.timeNames[3],
    T: () => T() < 12 ? a.timeNames[4] : a.timeNames[5],
    TT: () => T() < 12 ? a.timeNames[6] : a.timeNames[7],
    Z: () => i ? "GMT" : s ? "UTC" : e instanceof Date && L(e),
    o: () => (E() > 0 ? "-" : "+") + r(Math.floor(Math.abs(E()) / 60) * 100 + Math.abs(E()) % 60, 4),
    p: () => (E() > 0 ? "-" : "+") + r(Math.floor(Math.abs(E()) / 60), 2) + ":" + r(Math.floor(Math.abs(E()) % 60), 2),
    S: () => ["th", "st", "nd", "rd"][D() % 10 > 3 ? 0 : +(D() % 100 - D() % 10 !== 10) * D() % 10],
    W: () => f(),
    WW: () => {
      const M = f();
      M && r(M);
    },
    N: () => S()
  };
  return t.replace(p, (M) => M in g ? g[M]() : M.slice(1, M.length - 1));
}
const N = {
  DEFAULT: n.DEFAULT,
  SHORTDATE: n.SHORTDATE,
  PADDEDSHORTDATE: n.PADDEDSHORTDATE,
  MEDIUMDATE: n.MEDIUMDATE,
  LONGDATE: n.LONGDATE,
  FULLDATE: n.FULLDATE,
  SHORTTIME: n.SHORTTIME,
  MEDIUMTIME: n.MEDIUMTIME,
  LONGTIME: n.LONGTIME,
  ISODATE: n.ISODATE,
  ISOTIME: n.ISOTIME,
  ISODATETIME: n.ISODATETIME,
  ISOUTCDATETIME: n.ISOUTCDATETIME,
  EXPIRESHEADERFORMAT: n.EXPIRESHEADERFORMAT
};
let a = {
  dayNames: [
    "Sun",
    "Mon",
    "Tue",
    "Wed",
    "Thu",
    "Fri",
    "Sat",
    "Sunday",
    "Monday",
    "Tuesday",
    "Wednesday",
    "Thursday",
    "Friday",
    "Saturday"
  ],
  monthNames: [
    "Jan",
    "Feb",
    "Mar",
    "Apr",
    "May",
    "Jun",
    "Jul",
    "Aug",
    "Sep",
    "Oct",
    "Nov",
    "Dec",
    "January",
    "February",
    "March",
    "April",
    "May",
    "June",
    "July",
    "August",
    "September",
    "October",
    "November",
    "December"
  ],
  timeNames: ["a", "p", "am", "pm", "A", "P", "AM", "PM"]
};
const r = (e, t = 2) => String(e).padStart(t, "0"), h = ({
  y: e,
  m: t,
  d: s,
  _: i,
  dayName: l,
  short: o = !1
}) => {
  const D = /* @__PURE__ */ new Date(), m = /* @__PURE__ */ new Date(), c = /* @__PURE__ */ new Date(), y = i + "Date", T = i + "Month", u = i + "FullYear";
  m.setDate(m[y]() - 1), c.setDate(c[y]() + 1);
  const A = () => D[y](), d = () => D[T](), E = () => D[u](), f = () => m[y](), S = () => m[T](), g = () => m[u](), M = () => c[y](), I = () => c[T](), O = () => c[u]();
  return E() === e && d() === t && A() === s ? o ? "Tdy" : "Today" : g() === e && S() === t && f() === s ? o ? "Ysd" : "Yesterday" : O() === e && I() === t && M() === s ? o ? "Tmw" : "Tomorrow" : l;
}, H = (e) => {
  const t = new Date(
    e.getFullYear(),
    e.getMonth(),
    e.getDate()
  );
  t.setDate(
    t.getDate() - (t.getDay() + 6) % 7 + 3
  );
  const s = new Date(t.getFullYear(), 0, 4);
  s.setDate(
    s.getDate() - (s.getDay() + 6) % 7 + 3
  );
  const i = t.getTimezoneOffset() - s.getTimezoneOffset();
  t.setHours(t.getHours() - i);
  const l = (t.getTime() - s.getTime()) / (864e5 * 7);
  return 1 + Math.floor(l);
}, U = (e) => {
  let t = e.getDay();
  return t === 0 && (t = 7), t;
}, L = (e) => {
  var i;
  return (i = (String(e).match(w) || [""]).pop()) == null ? void 0 : i.replace(F, "").replace(/GMT\+0000/g, "UTC");
};
export {
  b as default,
  L as formatTimezone,
  a as i18n
};
