import { v as I } from "../v4-333bbb31.js";
class v {
  static generateGridToolbarSpecs(l, t, r) {
    const o = l.map((e) => [
      e.every((s) => s === e[0]) ? e[0] : "ga-" + I()
    ]), n = l[0].map(
      (e, s) => l.every((u) => u[s] === l[0][s]) ? l[0][s] : "ga-" + I()
    ), a = v.countOccurrences(
      o.map((e) => e[0])
    ).map((e) => ({
      slot: e.slotId,
      gridArea: e.slotId,
      row: e.location,
      column: 0,
      rowSpan: e.span,
      colSpan: 1,
      style: { gridArea: e.slotId }
    })), c = v.countOccurrences(n).map(
      (e) => ({
        slot: e.slotId,
        gridArea: e.slotId,
        row: 0,
        column: e.location,
        rowSpan: 1,
        colSpan: e.span,
        style: { gridArea: e.slotId }
      })
    );
    return {
      rowTools: {
        slots: a,
        gridTemplate: this.generateGridTemplate(
          o,
          t || "minmax(auto, 1fr)",
          r || "1fr"
        )
      },
      colTools: {
        slots: c,
        gridTemplate: this.generateGridTemplate(
          [n],
          "1fr",
          "1fr"
        )
      }
    };
  }
  static generateGridAreaAndSizes(l, t) {
    let r = [[]];
    const o = [];
    return l.forEach((n) => {
      let a = n.row + n.rowSpan, c = n.column + n.colSpan;
      for (let e = n.row; e < a; e++) {
        const s = Array.isArray(t) ? t[e] : t;
        n.content ? o[e] = s || "minmax(2rem, auto)" : o[e] !== "minmax(2rem, auto)" && (o[e] = "minmax(2rem, 1fr)"), r[e] || (r[e] = []);
        for (let u = n.column; u < c; u++)
          r[e][u] = n.gridArea;
      }
    }), { gridArea: r, rowHeights: o };
  }
  static generateGridTemplate(l, t, r) {
    let o = l.map(
      (a, c) => `"${a.join(" ")}" ${Array.isArray(t) ? t[c] : t || "minmax(3rem, 1fr)"}`
    ).join(" ");
    const n = " / " + (Array.isArray(r) ? r.join(" ") : Array.from(
      { length: l[0].length },
      () => r || "1fr"
    ).join(" "));
    return o += n, o.trim();
  }
  static mergeHandler(l, t, r, o) {
    if (t) {
      t = JSON.parse(JSON.stringify(t));
      const n = t.filter((c) => c.isSelected);
      n.sort((c, e) => c.row !== e.row ? c.row - e.row : c.column - e.column);
      const a = n[0];
      o ? (o = t.find(
        (c) => c.slot === (o == null ? void 0 : o.slot)
      ), o.row = a.row, o.column = a.column) : o = a, o.rowSpan = r.maxRow - r.minRow + 1, o.colSpan = r.maxColumn - r.minColumn + 1, n.forEach((c) => {
        const e = t.findIndex(
          (u) => u.slot === c.slot
        ), s = t[e];
        s && s.slot !== (o == null ? void 0 : o.slot) && t.splice(e, 1);
      }), l(t);
    }
  }
  static splitHandler(l, t, r, o, n) {
    t = JSON.parse(JSON.stringify(t));
    let a = [];
    n ? (n = t.find((c) => c.slot === (n == null ? void 0 : n.slot)), n && a.push(n)) : a = t.filter((c) => c.isSelected), a.forEach((c) => {
      const {
        row: e,
        slot: s,
        column: u,
        colSpan: i,
        rowSpan: d
      } = c, m = r === "horizontal", f = o === "after", p = I(), E = `ga-${p}`, w = m ? "rowSpan" : "colSpan", S = m ? "row" : "column";
      let h = c[w];
      h > 1 && (h = c[w] - 1, c[w] = h);
      const x = {
        slot: p,
        row: m && f ? h + e : e,
        column: m ? u : f ? h + u : u,
        rowSpan: m ? 1 : d,
        colSpan: m ? i : 1,
        gridArea: E,
        splitFrom: s
      };
      (m ? d === 1 : i === 1) && t.forEach((A) => {
        const {
          row: O,
          column: T,
          slot: R,
          colSpan: J,
          rowSpan: N
        } = A;
        m ? e >= O && e < O + N && R !== s ? A.rowSpan += 1 : O > e && (A.row += 1) : u >= T && u < T + J && R !== s ? A.colSpan += 1 : T > u && (A.column += 1);
      }), f || (c[S] += 1), t.push(x);
    }), l(t);
  }
  static removeHandler(l, t, r, o) {
    l = JSON.parse(JSON.stringify(l));
    const n = r === "row", a = n ? t.rowTools.slots : t.colTools.slots;
    return a.filter(
      (e) => o ? e.isSelectedForInlineDelete : e.isSelected
    ).sort((e, s) => n ? e.row - s.row : e.column - s.column).forEach((e) => {
      l.filter(
        (i) => n ? e.row >= i.row && e.row < i.row + i.rowSpan : e.column >= i.column && e.column < i.column + i.colSpan
      ).forEach((i) => {
        if (n ? i.rowSpan <= e.rowSpan : i.colSpan <= e.colSpan) {
          const d = l.indexOf(i);
          d !== -1 && l.splice(d, 1);
        } else
          n ? i.rowSpan -= 1 : i.colSpan -= 1;
      });
      let u = l.filter(
        (i) => n ? i.row > e.row : i.column > e.column
      );
      u.forEach(
        (i) => n ? i.row -= 1 : i.column -= 1
      ), u = a.filter(
        (i) => n ? i.row > e.row : i.column > e.column
      ), u.forEach(
        (i) => n ? i.row -= 1 : i.column -= 1
      ), a.splice(a.indexOf(e), 1);
    }), l;
  }
  static checkIfAdjacent(l) {
    const t = l.filter((s) => s.isSelected);
    let r = 1 / 0, o = -1 / 0, n = 1 / 0, a = -1 / 0, c = 0;
    t.forEach((s) => {
      s.row !== void 0 && s.column !== void 0 && (r = Math.min(r, s.row), o = Math.max(o, s.row + (s.rowSpan - 1)), n = Math.min(n, s.column), a = Math.max(a, s.column + (s.colSpan - 1)), c += s.rowSpan * s.colSpan);
    });
    const e = (o - r + 1) * (a - n + 1);
    return {
      areAdjacent: t.length > 1 && e === c,
      minRow: r,
      maxRow: o,
      minColumn: n,
      maxColumn: a
    };
  }
  static isSlotSelected(l, t, r, o) {
    const { row: n, rowSpan: a, column: c, colSpan: e } = l, s = t.filter((i) => i.row < n + a && i.row + i.rowSpan > n).every(
      (i) => o !== void 0 ? i.isSelectedForInlineDelete : i.isSelected
    ), u = r.filter(
      (i) => i.column < c + e && i.column + i.colSpan > c
    ).every(
      (i) => o !== void 0 ? i.isSelectedForInlineDelete : i.isSelected
    );
    return s || u;
  }
  static selectCellsInSelectedRowCol(l, t, r) {
    const o = l.rowTools.slots, n = l.colTools.slots;
    return t.forEach((a) => {
      a[r !== void 0 ? "isSelectedForInlineDelete" : "isSelected"] = this.isSlotSelected(a, o, n, r);
    }), [...t];
  }
  static countOccurrences(l) {
    const t = [];
    for (let r = 0; r < l.length; r++) {
      const o = l[r], n = t.find((a) => a.slotId === o);
      n === void 0 ? t.push({ slotId: o, span: 1, location: r }) : n.span++;
    }
    return t;
  }
  static isIntersecting(l, t, r) {
    const o = r ? "row" : "column", n = r ? "rowSpan" : "colSpan", a = t[o], c = t[n], e = l[o], s = l[n];
    return a <= e && a + c >= e + s;
  }
  static findIntersectingSlots(l, t, r) {
    return l.filter((o) => this.isIntersecting(t, o, r));
  }
  static getCreateOrExtend(l, t, r, o) {
    const n = o ? "row" : "column", a = o ? "rowSpan" : "colSpan";
    return r === "before" ? l[n] === t[n] : l[n] + l[a] === t[n] + t[a];
  }
  static insertDimension(l, t, r, o, n, a) {
    r = JSON.parse(JSON.stringify(r));
    const c = l === "row";
    let e = t[c ? "colTools" : "rowTools"].slots, s = [];
    if (e.length > 0) {
      const u = this.generateInsertionIndexes(
        t,
        c,
        n,
        a
      );
      u.sort();
      const i = {};
      u.forEach((d, m) => {
        const f = t[c ? "rowTools" : "colTools"].slots[d - m - (n === "after" ? 1 : 0)], p = this.findIntersectingSlots(
          r,
          f,
          c
        ), E = e.map((w) => {
          const S = p.find(
            (h) => this.isIntersecting(w, h, !c)
          );
          if (S)
            if (this.getCreateOrExtend(
              S,
              f,
              n,
              c
            )) {
              const x = I(), D = `ga-${x}`;
              return {
                slot: x,
                row: c ? d : w.row,
                column: c ? w.column : d,
                rowSpan: c ? 1 : w.rowSpan,
                colSpan: c ? w.colSpan : 1,
                gridArea: D
              };
            } else
              i[S.slot] ? i[S.slot].count += 1 : i[S.slot] = { d: S, count: 1 };
        }).filter((w) => !!w);
        s = s.concat(E);
      }), u.forEach((d) => {
        const m = c ? "row" : "column";
        r.filter((p) => p[m] >= d).forEach((p) => p[m]++);
      }), Object.values(i).forEach(
        (d) => d.d[c ? "rowSpan" : "colSpan"] += d.count
      );
    } else {
      const i = `ga-${I()}`;
      s.push({
        slot: I(),
        row: 0,
        column: 0,
        rowSpan: 1,
        colSpan: 1,
        gridArea: i
      });
    }
    r = r.concat(s), o(r);
  }
  static generateInsertionIndexes(l, t, r, o) {
    let n = [];
    return o !== void 0 ? n.push(r === "after" ? o + 1 : o) : t ? n = this.generateInsertionIndexesForDimension(
      l,
      "rowTools",
      "row",
      r,
      t
    ) : n = this.generateInsertionIndexesForDimension(
      l,
      "colTools",
      "column",
      r,
      t
    ), n.sort(), n = n.map((a, c) => a + c), n;
  }
  static generateInsertionIndexesForDimension(l, t, r, o, n) {
    let a = [];
    const c = l[n ? "rowTools" : "colTools"].slots, e = l[t].slots.filter((s) => s.isSelected).map((s) => s[r] + (o === "before" ? 0 : 1));
    return e.length > 0 ? a = a.concat(e) : o === "before" ? a.push(0) : a.push(
      Math.max(...c.map((s) => s[r])) + 1
    ), a;
  }
  static generateSlots(l) {
    const t = [], r = /* @__PURE__ */ new Set();
    return l.forEach((o, n) => {
      const a = o.split(" ");
      a.forEach((c, e) => {
        const s = c.trim();
        if (r.has(s))
          return;
        r.add(s);
        const u = l.filter((d) => d.includes(s)).length, i = a.filter((d) => d === s).length;
        t.push({
          slot: s,
          gridArea: s,
          row: n,
          column: e,
          rowSpan: u,
          colSpan: i
        });
      });
    }), t;
  }
  static generateSlotConfigs(l) {
    const t = l.split('"').filter((e) => e).map((e) => e.trim()), r = t.filter((e, s) => s % 2 === 0), o = t.filter((e, s) => s % 2 === 1).map((e) => e.split("/").map((s) => s.trim())), n = this.generateSlots(r), a = [], c = [];
    return o.forEach((e, s) => {
      a.push(e[0]), e[1] && c.push(...e[1].split(" "));
    }), { slotConfigs: n, rowHeights: a, colWidths: c };
  }
}
export {
  v as default
};
