/// <reference types="react" />
import { PopoverProps } from ".";
/**
 * As the name suggest shows a popover on click or hover, this version uses React portal to move the content
 * at the document root and fixed position, this will solve the problem of page scroll when popovers exceeds the screen bounds
 *
 * @param props
 * @returns
 */
declare const PopoverV2: (props: PopoverProps) => JSX.Element;
export default PopoverV2;
