import { RecusionConditionTypes as u } from "../types/enums.js";
import y from "./recursionHelper.js";
import "../v4-333bbb31.js";
const c = Array.from({ length: 60 }, (a, e) => 1964 + e), b = ["IN", "US", "RU", "CN", "UK", "JP", "FR", "IT", "SP"];
for (let a = c.length - 1; a > 0; a--) {
  const e = Math.floor(Math.random() * (a + 1));
  [c[a], c[e]] = [c[e], c[a]];
}
const g = b.flatMap(
  (a) => c.map((e) => [e, a, Math.floor(Math.random() * 1e14)])
);
class C {
  static adaptToTree(e) {
    const l = [];
    return Object.keys(e).forEach((t) => {
      const h = e[t], p = h.meta, o = h.components;
      o.sort(
        (r, s) => r.name > s.name ? 1 : -1
      );
      const n = {
        label: p.label,
        children: [],
        data: { ...p }
      };
      o.forEach((r) => {
        const s = {
          label: typeof r == "string" ? r : r.name,
          data: {
            component: typeof r == "string" ? r : r.name,
            hierarchy: t
          }
        }, i = [];
        s.children = i, r.variants && Object.keys(r.variants.length > 0) && Object.keys(r.variants).forEach((d) => {
          const m = r.variants[d];
          s.children && s.children.push({
            label: d,
            data: { name: typeof r == "string" ? r : r.name },
            children: m.map((f) => ({
              label: f,
              data: {
                component: typeof r == "string" ? r : r.name,
                props: { [d]: f },
                hierarchy: t
              }
            }))
          });
        }), n.children && n.children.push(s);
      }), l.push(n);
    }), y.injectIds({
      data: l,
      condition: { type: u.KEY_EXISTS, key: "label" },
      iterateOn: "children"
    }), l;
  }
  static adaptToProgressiveChart(e, l) {
    l && !e && (e = g);
    let t = {};
    Array.isArray(e) ? e.forEach(([o, n, r]) => {
      t[o] ? t[o].push([n, r]) : t[o] = [[n, r]];
    }) : t = e;
    const h = Object.keys(t);
    h.sort((o, n) => typeof o == "number" && typeof n == "number" ? o - n : o.localeCompare(n));
    let p = {};
    return h.forEach((o) => {
      p[o] = t[o];
    }), p;
  }
}
export {
  C as default
};
